Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.schema
Class SOMComplexContent

    java.lang.Object
      com.bea.schema.SOMObject
          com.bea.schema.SOMSimpleContent
              com.bea.schema.SOMComplexContent

All Implemented Interfaces:
  Serializable

public class SOMComplexContent
extends SOMSimpleContent

<complexContent> Alternative content for complexType's. complexContent elements must have either a restriction or an extension for a sub-element.

complexContent is not fully implemented.

Version:
  1.0
Author:
  sharpe
See Also:
  Serialized Form

Constructor Summary
`SOMComplexContent(SOMExtension extension)`
`SOMComplexContent(SOMRestriction restriction)`

Method Summary
`SOMExtension` | `add(SOMExtension extension)` add an <extension> or <restriction>.
`SOMRestriction` | `add(SOMRestriction restriction)`
`SOMComplexExtension` | `addExtension(SOMType base)`
`Map` | `getAttributes(boolean getAll)` retrieve the attributes for this schema element.
`String` | `getID()` Returns a printable element tag for this Schema Object
`String` | `getMixed()`
`void` | `setMixed(boolean mixed)`
`void` | `setMixed(String mixed)`

Methods inherited from class com.bea.schema.SOMSimpleContent
`addAnnotation, addAttribute, contains, createDefault, getExtension, getRestriction, removeAnnotation, toXML`

Methods inherited from class com.bea.schema.SOMObject
`addPrefixMapping, getContainmentXPath, getEffectivePrefixMappings, getID_UQ, getParent, getParentName, getParentSchema, getPrefixForTargetNamespace, getPrefixMapping, getTargetNamespace, getURIForPrefix, isCircularReference, isSchemaChild, msg, msg, removeNamespaceQualifier, removePrefixMapping, setIndent, setParent, setTargetNamespace, toString, toXML, toXML, toXML`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SOMComplexContent

    public SOMComplexContent(SOMRestriction restriction)

### SOMComplexContent

    public SOMComplexContent(SOMExtension extension)

Method Detail

### add

    public SOMRestriction add(SOMRestriction restriction)

### add

    public SOMExtension add(SOMExtension extension)

  Description copied from class: `SOMSimpleContent`
  add an <extension> or <restriction>.

  Overrides:
    `add` in class `SOMSimpleContent`
  Parameters:
    `extension` - extension to add, ignored if null
  Returns:
    extension element added

### addExtension

    public SOMComplexExtension addExtension(SOMType base)

### getID

    public String getID()

  Description copied from class: `SOMObject`
  Returns a printable element tag for this Schema Object

  Overrides:
    `getID` in class `SOMSimpleContent`

### setMixed

    public void setMixed(String mixed)

### setMixed

    public void setMixed(boolean mixed)

### getMixed

    public String getMixed()

### getAttributes

    public Map getAttributes(boolean getAll)

  retrieve the attributes for this schema element. If getAll is false, only the attributes that are not set to their default value are returned. If getAll is true, all possible attributes for this element will be returned.

  Overrides:
    `getAttributes` in class `SOMSimpleContent`
  Parameters:
    `getAll` - get all attributes
  Returns:
    a Hashtable of attributes, where the attribute name and value are stored as strings.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD